# std::match_results::begin, std::match_results::cbegin

From cppreference.com
< cpp‎ | regex‎ | match results

iterator begin(); |  | (since C++11)
const_iterator begin() const; |  | (since C++11)
const_iterator cbegin() const; |  | (since C++11)

Returns an iterator to the beginning of the list of sub-matches. If match was successful, the iterator will point to the entire matched expression.

### Parameters

(none)

### Return value

Iterator to the first sub-match.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

end cend | returns iterator to the end of the list of sub-matches (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/begin&oldid=91485"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template